<?php
/**
* Plugin Name: Fancy Facebook Like Box
* Plugin URI: http://webgensis.com
* Description: With the help of Fancy Facebook Like Box plugin you can open Facebook like box in popup and you can use shortcode for call like box in page , post, widget etc.  
* Version: 1.0 
* Author: Webgensis
* Author URI: http://webgensis.com
* License: GPLv2
*/
if ( !class_exists( 'ReduxFramework' ) && file_exists( dirname( __FILE__ ) . '/fflb-panel/ReduxCore/framework.php' ) ) {
    require_once( dirname( __FILE__ ) . '/fflb-panel/ReduxCore/framework.php' );
}
if ( !isset( $redux_demo ) && file_exists( dirname( __FILE__ ) . '/fflb-panel/fancy-facebook-like-box.php' ) ) {
    require_once( dirname( __FILE__ ) . '/fflb-panel/fancy-facebook-like-box.php' );
}
function fancy_facebook_like_box() {
global $fflb;
$enable=$fflb['enable-popup'];
$fb_page_url=$fflb['fb-page-url'];
$width=$fflb['width'];
$height=$fflb['height'];
$small_header=($fflb['small-header'] == 1 ? 'true' : 'false');	
$hide_cover_photo=($fflb['hide-cover-photo'] == 1 ? 'true' : 'false');
$show_faces=($fflb['show-faces'] == 1 ? 'true' : 'false');
$adapt_container_width=($fflb['adapt-container-width'] == 1 ? 'true' : 'false');
if($enable==1):
 ?>
<div class="fflb">
  <div class="md-modal md-effect-1" id="modal-1">
    <div class="md-content">
      <div id="fb-root"></div>
      <script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.8";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
      <div class="fb-page" data-href="<?php echo $fb_page_url ?>" data-tabs="timeline" <?php if(!empty($width)): ?> data-width="<?php echo $width ?>" <?php endif; ?>
<?php if(!empty($height)): ?> data-height="<?php echo $height ?>" <?php endif ?> data-small-header="<?php echo $small_header; ?>" data-adapt-container-width="<?php echo $adapt_container_width; ?>" data-hide-cover="<?php echo $hide_cover_photo; ?>" data-show-facepile="<?php echo $show_faces; ?>" >
        <blockquote cite="<?php echo $fb_page_url ?>" class="fb-xfbml-parse-ignore"></blockquote>
      </div>
      <button class="md-close">X</button>
    </div>
  </div>
  <button class="md-trigger" data-modal="modal-1" style="display:none">&nbsp;</button>
</div>
<?php
endif;
}
add_action( 'wp_footer', 'fancy_facebook_like_box', 0 );


// Register Fancy Facebook Like Box Shortcode [fflb]
function fancy_facebook_like_box_shortcode() {
global $fflb;
$fb_page_url=$fflb['fb-page-url'];
$width=$fflb['width'];
$height=$fflb['height'];
$small_header=($fflb['small-header'] == 1 ? 'true' : 'false');	
$hide_cover_photo=($fflb['hide-cover-photo'] == 1 ? 'true' : 'false');
$show_faces=($fflb['show-faces'] == 1 ? 'true' : 'false');
$adapt_container_width=($fflb['adapt-container-width'] == 1 ? 'true' : 'false');
ob_start();
?>
<div id="fb-root"></div>
<script>(function(d, s, id) {
var js, fjs = d.getElementsByTagName(s)[0];
if (d.getElementById(id)) return;
js = d.createElement(s); js.id = id;
js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.8";
fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<div class="fb-page" data-href="<?php echo $fb_page_url ?>" data-tabs="timeline" <?php if(!empty($width)): ?> data-width="<?php echo $width ?>" <?php endif; ?>
<?php if(!empty($height)): ?> data-height="<?php echo $height ?>" <?php endif ?> data-small-header="<?php echo $small_header; ?>" data-adapt-container-width="<?php echo $adapt_container_width; ?>" data-hide-cover="<?php echo $hide_cover_photo; ?>" data-show-facepile="<?php echo $show_faces; ?>" >
<blockquote cite="<?php echo $fb_page_url ?>" class="fb-xfbml-parse-ignore"></blockquote>
</div>
<?php 
$output_string = ob_get_contents();
ob_end_clean();
return $output_string;
}
add_shortcode( 'fflb', 'fancy_facebook_like_box_shortcode');

// Adding Fancy Facebook Like Box Script and Style
function fflb_enqueue_scripts() {
	   wp_enqueue_style('fflb-style', plugin_dir_url( __FILE__ ) . 'assets/css/fflb.css' );
	   wp_enqueue_script( 'fflb-script', plugin_dir_url( __FILE__ ) . 'assets/js/fflb.js', array(), '1.0.0', true );
}
add_action( 'wp_enqueue_scripts', 'fflb_enqueue_scripts',99999 );



